> For the complete documentation index, see [llms.txt](https://app.developers.karte.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://app.developers.karte.io/android-sdk-appendix/appendix-configuration-android-sdk.md).

# \[Android]初期化オプション一覧

SDK の初期化時にオプションを指定することで、SDKの一部の挙動を変更することが可能です。\
なお通常はデフォルトの設定で問題ありません。

| オプション                                | デフォルト値 | 内容                                                                                                                                                               |
| ------------------------------------ | ------ | ---------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Config#isDryRun                      | false  | イベントトラッキングを行うかどうか指定するためのオプションです。 `true` を指定することでイベントトラッキングが行われなくなります。                                                                                            |
| Config#isOptOut                      | false  | オプトアウトを行うかどうか指定するためのオプションです。 `true` を指定することで、オプトアウトが有効になります。 実装の方法については、[オプトアウトに対応する](/android-sdk-appendix/appendix-optout-android-sdk.md) をご覧ください。             |
| Config#enabledTrackingAaid           | false  | 広告 ID (AAID) を送信するかどうかを指定するためのオプション。 `true` を指定することで送信が行われるようになります。 詳細は、[Appendix: 広告ID（AAID）を送信する](/android-sdk-appendix/appendix-aaid-android-sdk.md) をご覧ください。 |
| CrashReportingConfig#enabledTracking | true   | v2.12.0以降のバージョンで使用可能です。 クラッシュイベントを送信するかどうかを指定するためのオプション。 `true` を指定することで送信が行われるようになります。                                                                          |

また、 `inappmessaging` モジュールと `notifications` モジュールにはそれぞれ追加の設定オプションがあります。\
`KarteApp.setup` 関数で上記初期化オプションを設定する際に、モジュールごとの設定を行うことも可能です。

## `inappmessaging` モジュールの設定オプション

| オプション                                     | デフォルト値 | 内容                                                                                                         |
| ----------------------------------------- | ------ | ---------------------------------------------------------------------------------------------------------- |
| InAppMessaging.Config.enabledWebViewCache | true   | 非推奨: v2.5.0より常に`true`として扱われます。 接客表示に使用する WebView をキャッシュするかを指定するためのオプションです。 `true` を指定することでキャッシュされるようになります。 |

## `notifications` モジュールの設定オプション

| オプション                                     | デフォルト値 | 内容                                                                                                                                                    |
| ----------------------------------------- | ------ | ----------------------------------------------------------------------------------------------------------------------------------------------------- |
| NotificationsConfig#enabledFCMTokenResend | true   | SDK 初期化時に FCM トークンを自動送信するかどうかを指定するためのオプションです。 `true` を指定することで自動送信が有効になります。 ※同じ設定のオプション`Notifications.Config.enabledFCMTokenResend`はv2.7.0より非推奨となりました。 |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://app.developers.karte.io/android-sdk-appendix/appendix-configuration-android-sdk.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
